# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name hs-bibutils

Name:           ghc-%{pkg_name}
Version:        5.0
Release:        1%{?dist}
Summary:        Haskell bindings to bibutils

License:        GPL+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
Patch1:         hs-bibutils-pkgconfig.patch
Patch2:         hs-bibutils-4.17-cbits-cabal.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-syb-devel
BuildRequires:  pkgconfig(bibutils)
# End cabal-rpm deps

%description
Haskell bindings to Chris Putnam's bibutils, a library that
converts between various bibliography formats using a common
MODS-format XML intermediate.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       pkgconfig(bibutils)
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}
%patch1 -p1 -b .orig~
%patch2 -p1 -b .cbit-2~

# remove copylib
rm -r bibutils


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README


%changelog
* Wed Jun 05 2013 Jens Petersen <petersen@redhat.com> - 5.0-1
- update to 5.0
- update to new simplified Haskell Packaging Guidelines

* Sat Mar 23 2013 Jens Petersen <petersen@redhat.com> - 4.17-2
- add back missing cbits to .cabal file

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 4.17-1
- update to 4.17

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 21 2012 Jens Petersen <petersen@redhat.com> - 4.15-2
- update with cabal-rpm-0.6.6
- fix missing requires for bibutils-devel

* Mon Oct  1 2012 Jens Petersen <petersen@redhat.com> - 4.15-1
- simplify summary and description
- use pkgconfig to build with bibutils

* Mon Oct  1 2012 Fedora Haskell SIG <haskell@lists.fedoraproject.org>
- spec file generated by cabal-rpm-0.6.3
